{
  "nombre": "Datos de Variable",
  "body": [
    {
      "componente": "GenericForm",
      "url": "quo/Engine?paquete=std&clase=Std&metodo=$(metodo)&data=&parametros=$(parametros)",
      "formData": {
        "metodo": "$(metodoUrl)",
        "parametros": {
          "tabla": "tvar",
          "tablaHijo": "",
          "campoId": "TVarId",
          "cabe": "$(resultData)"
        }
      },
      "cerrarAlConfirmarOK": true,
      "mensajeExitoso": "La variable fue modificada exitosamente",
      "mensajeError": "No se pudo realizar el guardado",
      "useUserIdLocalStorage": "usrId",
      "fields": [
        {
          "label": "TVarId",
          "name": "TVarId",
          "type": "text",
          "visible": false,
          "esId": true
        },
        {
          "label": "Proceso",
          "name": "TPrcId",
          "type": "supercombobox",
          "tabla": "tprc",
          "id": "TPrcId",
          "text": "TPrcNom",
          "value": "",
          "validations": {
            "required": true
          },
          "visible": true,
          "disabled": false
        },
        {
          "label": "Tipo",
          "name": "TVarTip",
          "type": "supercombobox",
          "tabla": "dmn",
          "id": "DmnAbr",
          "text": "DmnDet",
          "dominio": "TIPVAR",
          "value": "",
          "validations": {
            "required": true
          },
          "visible": true,
          "disabled": false
        },
        {
          "disabled": false,
          "label": "Nombre",
          "name": "TVarNom",
          "type": "text",
          "validations": {
            "required": true,
            "maxLength": {
              "message": "La cantidad de caracteres debe ser menor a 20",
              "value": 20
            },
            "minLength": {
              "message": "La cantidad de caracteres debe ser mayor a 4",
              "value": 3
            }
          },
          "visible": true,
          "esId": false
        },
        {
          "disabled": false,
          "label": "Valor",
          "name": "TVarVal",
          "type": "text",
          "visible": true,
          "esId": false
        },
        {
          "disabled": false,
          "label": "Mapeo",
          "name": "TVarMap",
          "type": "text",
          "visible": true,
          "esId": false
        },
        {
          "disabled": false,
          "label": "Detalle",
          "name": "TVarDet",
          "type": "text",
          "visible": true,
          "esId": false
        }
      ]
    }
  ]
}
